

Patch from Maneesh Soni <maneesh@in.ibm.com>



 sunrpc/rpc_pipe.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN net/sunrpc/rpc_pipe.c~dcache_rcu-nfs-server-fix net/sunrpc/rpc_pipe.c
--- 25/net/sunrpc/rpc_pipe.c~dcache_rcu-nfs-server-fix	2003-02-10 02:56:59.000000000 -0800
+++ 25-akpm/net/sunrpc/rpc_pipe.c	2003-02-10 02:56:59.000000000 -0800
@@ -488,14 +488,14 @@ rpc_depopulate(struct dentry *dir)
 		dentry = list_entry(pos, struct dentry, d_child);
 		if (!d_unhashed(dentry)) {
 			dget_locked(dentry);
-			list_del(&dentry->d_hash);
+			__d_drop(dentry);
 			list_add(&dentry->d_hash, &head);
 		}
 	}
 	spin_unlock(&dcache_lock);
 	while (!list_empty(&head)) {
 		dentry = list_entry(head.next, struct dentry, d_hash);
-		list_del_init(&dentry->d_hash);
+		d_drop(dentry);
 		if (dentry->d_inode) {
 			rpc_inode_setowner(dentry->d_inode, NULL);
 			simple_unlink(dir->d_inode, dentry);

_
